Subject: bug#61784: 30.0.50; "Byte compile the file containing the current buffer."

From: Stephen Berman <[email-masked]>
Date: Sat, 25 Feb 2023 12:22:41 +0100

The docstring of the function emacs-lisp-byte-compile ("Byte compile the
file containing the current buffer.") sounds infelicitous; how about
changing it to "Byte compile the file visited by the current buffer."?
If that's rejected as passive, an alternative is "Byte compile the file
the current buffer is visiting.", though that sounds more awkward to me
than "visited by" (note "the file visited by the current buffer" occurs
several times in the Emacs and Elisp manuals, and I have found no other
use of (variants of) "file containing the current buffer" in the Emacs
sources).

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.36, cairo version 1.17.6) of 2023-02-24 built on strobelfs
Repository revision: 1bed13111be2954e418f3cf43f30944ea5b82055
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Linux From Scratch r11.2-318